OMNotebook: IAEX::OmcInteractiveEnvironment Class Reference

- Main Page
- Classes
- Files
- Related Pages
- Examples

- Class List
- Class Hierarchy
- Class Members

# IAEX::OmcInteractiveEnvironment Class Reference

Implements evaluation for modelica code. More...

Inheritance diagram for IAEX::OmcInteractiveEnvironment:

List of all members.

## Public Member Functions
virtual QString | getError ()
| Method for get error message from OMC.
virtual void | evalExpression (QString &expr)
| Method for evaluationg expressions.
virtual void | closeConnection ()
| Method for closing connection to OMC.
virtual void | reconnect ()
| Method for closing reconnection to OMC.
virtual bool | startDelegate ()
| Method for starting OMC.
## Static Public Member Functions
static bool | startOMC ()
| Ststic method for starting OMC.

## Detailed Description

Implements evaluation for modelica code.

## Member Function Documentation

void IAEX::OmcInteractiveEnvironment::closeConnection | ( |  | ) | `[virtual]`

| Method for closing connection to OMC. Author: Anders Fernström Date: 2006-02-02 Implements IAEX::InputCellDelegate.

void IAEX::OmcInteractiveEnvironment::evalExpression | ( | QString & | expr | ) | `[virtual]`

| Method for evaluationg expressions. Author: Ingemar Axelsson and Anders Fernström Date: 2006-02-02 (update) 2006-02-02 AF, Added try-catch statement Implements IAEX::InputCellDelegate.

QString IAEX::OmcInteractiveEnvironment::getError | ( |  | ) | `[virtual]`

| Method for get error message from OMC. Author: Anders Fernström Date: 2006-02-02 Implements IAEX::InputCellDelegate.

void IAEX::OmcInteractiveEnvironment::reconnect | ( |  | ) | `[virtual]`

| Method for closing reconnection to OMC. Author: Anders Fernström Date: 2006-02-02 Implements IAEX::InputCellDelegate.

bool IAEX::OmcInteractiveEnvironment::startDelegate | ( |  | ) | `[virtual]`

| Method for starting OMC. Author: Anders Fernström Date: 2006-02-09 Implements IAEX::InputCellDelegate.

bool IAEX::OmcInteractiveEnvironment::startOMC | ( |  | ) | `[static]`

| Ststic method for starting OMC. Author: Anders Fernström Date: 2006-02-09 2006-03-14 (update) 2006-02-28 AF, added code so the environment variable OPENMODELICAHOME is used to locate omc.exe. 2006-03-14 AF, changed so omnotebook uses qt to start omc

The documentation for this class was generated from the following files:

- C:/OpenModelica/OMNotebookQT4 v2/OMNotebookQT4/omcinteractiveenvironment.h
- C:/OpenModelica/OMNotebookQT4 v2/OMNotebookQT4/omcinteractiveenvironment.cpp